from everytools import Everything, SortType

# 简单搜索
with Everything() as et:
    results = et.search("document").results()
    for result in results:
        print(f"{result.name} - {result.get_human_size()}")

# 高级搜索
with Everything() as et:
    results = (
        et.search("project")
        .match_path(True)
        .sort_by(SortType.DATE_MODIFIED_DESCENDING)
        .limit(10)
        .results()
    )

    for item in results:
        print(f"{item.name} - {item.date_modified}")

# 预定义搜索
with Everything() as et:
    # 搜索PDF文件
    pdfs = et.search_by_extension("pdf", "report").results()

    # 搜索图片
    images = et.search_images("vacation").results()
